petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMForestSetAdaptivityForest

During the pre-setup phase, set the forest from which the current forest will be adapted (e.g., the current forest will be refined/coarsened/repartitioned from it) im DMSetUp(). Usually not needed by users directly: DMForestTemplate() constructs a new forest to be adapted from an old forest and calls this routine.

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetAdaptivityForest(DM dm,DM adapt)

Note that this can be called after setup with adapt = NULL, which will clear all internal data related to the adaptivity forest from dm. This way, repeatedly adapting does not leave stale DM objects in memory.

Logically collective on dm

### Input Parameter

| dm | - the new forest, which will be constructed from adapt
| adapt | - the old forest

### See Also

DMForestGetAdaptivityForest(), DMForestSetAdaptivityPurpose()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c

### Examples

src/ts/examples/tutorials/ex11.c.html
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages